Package opennlp.tools.util.featuregen

# Class BrownBigramFeatureGenerator

java.lang.Object
opennlp.tools.util.featuregen.BrownBigramFeatureGenerator

All Implemented Interfaces:
  `AdaptiveFeatureGenerator`

public class BrownBigramFeatureGenerator extends Object implements AdaptiveFeatureGenerator
Generates Brown cluster features for token bigrams.

See Also:
  - `AdaptiveFeatureGenerator`
  - `BrownCluster`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BrownBigramFeatureGenerator(BrownCluster brownCluster)`
  Initializes a `BrownBigramFeatureGenerator` generator via a specified `BrownCluster`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)`
  Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.featuregen.AdaptiveFeatureGenerator

  `clearAdaptiveData, updateAdaptiveData`

- ## Constructor Details

  - ### BrownBigramFeatureGenerator

    public BrownBigramFeatureGenerator(BrownCluster brownCluster)
    Initializes a `BrownBigramFeatureGenerator` generator via a specified `BrownCluster`.
    Parameters:
      `brownCluster` - The token `dictionary` to use.

- ## Method Details

  - ### createFeatures

    public void createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)
    Description copied from interface: `AdaptiveFeatureGenerator`
    Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.
    Specified by:
      `createFeatures` in interface `AdaptiveFeatureGenerator`
    Parameters:
      `features` - The list of features to be added to.
      `tokens` - The tokens of the sentence or other text unit being processed.
      `index` - The index of the token which is currently being processed.
      `previousOutcomes` - The outcomes for the tokens prior to the specified index.